%{?!python3_pkgversion:%global python3_pkgversion 3}

%global pypi_name asyncio_pool

Name:           python-asyncio_pool
Version:        0.5.2
Release:        1%{?dist}
Summary:        Pool of asyncio coroutines with familiar interface
License:        MIT
URL:            https://pypi.org/project/asyncio-pool/
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_enable_dependency_generator}

%description
AioPool makes sure no more and no less (if possible) than
size spawned coroutines are active at the same time.
spawned means created and scheduled with one of the pool
interface methods, active means coroutine function started
executing it's code, as opposed to waiting -- which waits
for pool space without entering coroutine function.


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
AioPool makes sure no more and no less (if possible) than
size spawned coroutines are active at the same time.
spawned means created and scheduled with one of the pool
interface methods, active means coroutine function started
executing it's code, as opposed to waiting -- which waits
for pool space without entering coroutine function.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install


%files -n  python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Sat Oct 10 10:25:07 PDT 2020 Kevin Fenzi <kevin@scrye.com>
- Initial version for fedora
